import { About } from '@/components/about'
import { Banner } from '@/components/banner'
import { CourseCategory } from '@/components/course-category'
import { Courses } from '@/components/courses'
import { Differences } from '@/components/differences'
import { SignUp } from '@/components/sign-up'
import { Button } from '@/components/ui/button'
import Link from 'next/link'

// import { ThemeSwitcher } from '@/components/theme-switcher'

export default function Home() {
  return (
    <>
      <main className="overflow-hidden">
        <Banner />

        {/* <ThemeSwitcher /> */}
        <Courses />
        <CourseCategory />
        <Differences />
        <SignUp />
        <About.Root>
          <About.Globo>
            <p className="hidden md:block text-center">
              Nós, na <b>Indústria Criativa</b>, oferecemos serviços
              educacionais e assessoria profissional a instituições públicas e
              privadas. Nossa meta é conectar pessoas, empresas e instituições
              por meio do conhecimento técnico-científico aplicado aos negócios.
            </p>
            <Button className="uppercase">
              <Link href="/sobre">Saiba mais</Link>
            </Button>
          </About.Globo>
          <About.Companies className="hidden md:flex" />
        </About.Root>
      </main>
    </>
  )
}
